> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antigen.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Query the Asset Map



## OpenAPI

````yaml /api/openapi.yaml get /asset-map
openapi: 3.1.0
info:
  title: Antigen API
  version: v1
  description: >-
    Use the Antigen API to manage targets, runs, vulnerabilities, evidence,
    reports, hooks, assets, and integrations.
servers:
  - url: https://api.antigen.sh/v1
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
  - SessionCookie: []
tags:
  - name: Authentication
  - name: API keys
  - name: Models
  - name: Agents
  - name: Targets
  - name: Runs
  - name: Vulnerabilities
  - name: Evidence
  - name: Reports
  - name: Hooks
  - name: Asset Map
  - name: Integrations
paths:
  /asset-map:
    get:
      tags:
        - Asset Map
      summary: Query the Asset Map
      operationId: getAssetMap
      parameters:
        - name: root
          in: query
          schema:
            type: string
            format: uuid
        - name: depth
          in: query
          schema:
            type: integer
            default: 2
            maximum: 5
        - name: types
          in: query
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: Asset Map nodes and edges.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetMap'
components:
  schemas:
    AssetMap:
      type: object
      required:
        - nodes
        - edges
      properties:
        nodes:
          type: array
          items:
            type: object
            required:
              - id
              - type
              - name
              - provider
              - exposed
            properties:
              id:
                type: string
                format: uuid
              type:
                type: string
              name:
                type: string
              provider:
                type: string
              exposed:
                type: boolean
        edges:
          type: array
          items:
            type: object
            required:
              - source_id
              - target_id
              - relationship
            properties:
              source_id:
                type: string
                format: uuid
              target_id:
                type: string
                format: uuid
              relationship:
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key from the Antigen dashboard.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: access token
      description: Better Auth access token.
    SessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Better Auth browser session cookie.

````